## qutim 0.2.80-maemo-2

=== plugins/indicator/CMakeLists.txt ===
ADD_DEFINITIONS( -DDESKTOPDIR="${CMAKE_INSTALL_PREFIX}/share/applications" )
FIND_PACKAGE(PkgConfig)
pkg_check_modules(INDICATE indicate>=0.2.1)
pkg_check_modules(INDICATEQT indicate-qt>=0.2.2)
if( NOT INDICATEQT_FOUND )
	message( "IndicateQt not found. Can't build indicator" )
	return()
endif( NOT INDICATEQT_FOUND )

INCLUDE_DIRECTORIES(
	${INDICATE_INCLUDE_DIRS}
	${INDICATEQT_INCLUDE_DIRS}
	)
LINK_DIRECTORIES(
	${INDICATE_LIBRARY_DIRS}
	${INDICATEQT_LIBRARY_DIRS}
	)

FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/qutim ${CMAKE_INSTALL_PREFIX}/share/applications/qutim.desktop)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/qutim DESTINATION
	"share/indicators/messages/applications"
	)
qutim_add_plugin( indicator
	DISPLAY_NAME "Indicator"
	DESCRIPTION "Ubuntu Indicator applet integration"
	LINK_LIBRARIES ${INDICATE_LIBRARIES} ${INDICATEQT_LIBRARIES}
)

=== plugins/symbian-integration/CMakeLists.txt ===
if(NOT SYMBIAN)
	message(STATUS "Symbian integration will be skipped")
	return()
endif()

FILE( GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

FOREACH( PLUGIN ${PLUGINS} )
	IF( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
		STRING( TOUPPER SYMBIAN_${PLUGIN} PLUGIN_NAME)
		OPTION( ${PLUGIN_NAME} "" ON )
		IF( ${PLUGIN_NAME} )
			MESSAGE( "+ symbian extension '${PLUGIN_NAME}' added to build" )
			ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN} ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN})
		ELSE( ${PLUGIN_NAME} )
			MESSAGE( "- symbian extension '${PLUGIN_NAME}' will be skipped" )
		ENDIF( ${PLUGIN_NAME} )
	ENDIF( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
ENDFOREACH( PLUGIN )

=== plugins/symbian-integration/symbianvibra/CMakeLists.txt ===
SET ( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
find_package(HWRMVibra)

IF(HWRMVIBRA_FOUND)
	qutim_add_plugin(symbianvibra
		EXTENSION
		EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/symbianvibration.h
		EXTENSION_CLASS Symbian::Vibration
		LINK_LIBRARIES ${HWRMVIBRA_LIBRARIES}
		SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
		DISPLAY_NAME "Symbian Vibration Support"
		DESCRIPTION "Notifies about different events by vibration of your mobile device"
	)
ELSE()
	message(STATUS "Symbian Vibration Support will be skipped")
ENDIF()

=== core/src/corelayers/adiumchat/CMakeLists.txt ===
include_directories(.
	chatlayer
	)

qutim_add_plugin(adiumchat
	SUBPLUGIN
	SOURCE_DIR chatlayer
	DISPLAY_NAME "Webkit chat layer"
	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
	COMPILE_FLAGS "-DADIUMCHAT_LIBRARY"
)

add_subdirectory(chatforms)
add_subdirectory(chatfactories)

=== core/src/corelayers/simplecontactlist/widgets/maccontactlistwidget/CMakeLists.txt ===
if(NOT APPLE)
	message(STATUS "Mac Os X contactlist widget will be skipped")
	return()
endif()


qutim_add_plugin(maccontactlistwidget
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/macwidget.h
	EXTENSION_CLASS Core::SimpleContactList::MacWidget
	DISPLAY_NAME "Mac Contactlist"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Mac OS X contactlist"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

=== debian/changelog ===
qutim (0.2.80-maemo-2) fremantle; urgency=low

  * [Ru]Humor off
  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Sat,  2 Apr 2011 11:05:33 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DDBUSAPI=false -DKOPETEEMOTICONSBACKEND=false -DMACCONTACTLISTWIDGET=false -DQRCICONS=false -DSCRIPTAPI=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false -DSYMBIANCONTACTLISTWIDGET=false .
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qutim.sgml > qutim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  --exclude ./protocols/jabber/src/protocol/account/roster/jroster.cpp.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./protocols/jabber/src/protocol/account/roster/jroster.cpp.orig
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/qutim install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qutim 0.2.80-maemo-3

=== plugins/mac-integration/CMakeLists.txt ===
if(NOT APPLE)
	message(STATUS "Growl plugin will be skipped")
	return()
endif()

find_library(GROWL_LIBRARIES Growl)
find_library(COCOA_LIBRARIES Cocoa)

qutim_add_plugin( macintegration
	DISPLAY_NAME "MacIntegration"
	DESCRIPTION "PLugins collection for integration with Mac OS X"
	INCLUDE_DIRS ${GROWL_LIBRARIES}/Headers
	LINK_LIBRARIES ${GROWL_LIBRARIES} ${COCOA_LIBRARIES}
)

=== plugins/win-integration/CMakeLists.txt ===
SET ( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
find_package(WinThings)

add_subdirectory(libs)

if(WINTHINGS_APILAYER_LIBRARY)
	qutim_add_plugin(
		win7int2
		DISPLAY_NAME   "Windows 7 Integration" # now it is Win7int, but in future…
		DESCRIPTION    "Adds count of unread messages as an icon to taskbar button of qutim, along with some commands list."
		GROUP          "Plugins"
		LINK_LIBRARIES wapiqtwrapper
		INCLUDE_DIRS   "libs/include"
	)
else()
	message(STATUS "Windows Integration' plugin will be skipped.")
endif()

=== plugins/kde-integration/phonon/CMakeLists.txt ===
# KDE Phonon
message( "${DATA_INSTALL_DIR}" )
include( FindPhonon )

if( PHONON_FOUND )

file( GLOB_RECURSE phonon_H src/*.h )
file( GLOB_RECURSE phonon_CPP src/*.cpp )
file( GLOB_RECURSE phonon_UI src/*.ui )

set( phonon_SRCS
   ${phonon_H}
   ${phonon_CPP}
)

include_directories( ${PHONON_INCLUDES} )

QT4_WRAP_CPP( phonon_SRCS ${phonon_H} )
QT4_WRAP_UI( phonon_SRCS ${phonon_UI} )
QT4_ADD_RESOURCES( phonon_SRCS ${phonon_UI} )

add_library( kdephonon SHARED ${phonon_SRCS} )

target_link_libraries( kdephonon
   ${QT_LIBRARIES}
   ${KDE4_KUTILS_LIBS}
   ${PHONON_LIBS}
)

install( TARGETS kdephonon DESTINATION lib/qutim )

else( PHONON_FOUND )

endif( PHONON_FOUND )

=== core/src/corelayers/multimediabackend/CMakeLists.txt ===
find_package( Qt4 COMPONENTS QtMultimedia QtMultimediaKit )

if( NOT (QT_QTMULTIMEDIA_FOUND OR QT_QTMULTIMEDIAKIT_FOUND) )
	message( "QtMultimedia not found. Can't build multimediabackend" )
	return()
endif()

qutim_add_plugin( multimediabackend
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/multimediasoundbackend.h
	EXTENSION_CLASS Core::MultimediaSoundBackend
	LINK_LIBRARIES ${QT_QTMULTIMEDIA_LIBRARY}
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Mulimedia engine"
	DESCRIPTION "Sound engine based on QtMultimedia"
	INCLUDE_DIRS ${QT_QTMULTIMEDIA_INCLUDE_DIR}
)

=== core/src/corelayers/qsoundbackend/CMakeLists.txt ===
qutim_add_plugin( qsoundbackend
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/qsoundbackend.h
	EXTENSION_CLASS QSoundBackend
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Default sound engine"
	DESCRIPTION "Sound engine based on QSound"
)

=== core/src/corelayers/simplecontactlist/CMakeLists.txt ===
include_directories(.)

qutim_add_plugin(simplecontactlist
	EXTENSION
	EXTENSION_HEADER contactlist/simplecontactlist.h
	EXTENSION_CLASS Core::SimpleContactList::Module
	SOURCE_DIR contactlist
	DISPLAY_NAME "Simple ContactList"
	DESCRIPTION "Default qutIM contact list implementation. Just simple"
	COMPILE_FLAGS "-DSIMPLECONTACTLIST_LIBRARY"
)

qutim_add_plugin(simplecontactdelegate
	EXTENSION
	EXTENSION_HEADER simplecontactdelegate/contactdelegate.h
	EXTENSION_CLASS Core::ContactDelegate
	SOURCE_DIR simplecontactdelegate
	DISPLAY_NAME "ContactDelegate"
	DESCRIPTION "Just simple"
)

qutim_add_plugin(treecontactsmodel
	EXTENSION
	EXTENSION_HEADER treecontactsmodel/simplecontactlistmodel.h
	EXTENSION_CLASS Core::SimpleContactList::Model
	SOURCE_DIR treecontactsmodel
	DISPLAY_NAME "Tree contacts model"
	DESCRIPTION "Simple contactlist model"
	LINK_LIBRARIES simplecontactlist
)

add_subdirectory(widgets)

=== plugins/win-integration/libs/apilayer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project("WinThings API layer library")

if(MSVC)
	file(GLOB_RECURSE wt_apil_headers "src/*.h")
	file(GLOB_RECURSE wt_apil_sources "src/*.cpp")
	add_library(wapicwrapper SHARED ${wt_apil_headers} ${wt_apil_sources})
	set_target_properties(wapicwrapper PROPERTIES COMPILE_FLAGS "/DWT_APIL_LIB /Zc:wchar_t-") # do not treat wchar_t as built-in type
	target_link_libraries(wapicwrapper "dwmapi.lib")
	set(WINTHINGS_APILAYER_LIBRARY wapicwrapper CACHE INTERNAL "")

	install( TARGETS wapicwrapper
		RUNTIME DESTINATION bin
			COMPONENT wapicwrapper
		LIBRARY DESTINATION lib${LIB_SUFFIX}
			COMPONENT wapicwrapper
		ARCHIVE DESTINATION lib${LIB_SUFFIX}
			COMPONENT wapicwrapper
	)


else()
	if(NOT WINTHINGS_APILAYER_LIBRARY)
		if(MINGW)
			message(STATUS "WinThings API layer library cannot be built by MinGW.")
		else()
			message(STATUS "WinThings API layer library cannot be built by your compiler.")
		endif()
		set(WINTHINGS_APILAYER_LIBRARY "WINTHINGS_APILAYER_LIBRARY-NOTFOUND" CACHE FILEPATH "Path to prebuilt api-layer library of WinThings.")
		message(STATUS "You should specify WINTHINGS_APILAYER_LIBRARY if you have prebuild library.")
	endif()
endif()

=== core/src/corelayers/adiumchat/chatfactories/textchat/CMakeLists.txt ===
qutim_add_plugin(textchat
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/textviewfactory.h
	EXTENSION_CLASS Core::AdiumChat::TextViewFactory
	DISPLAY_NAME "Text view"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Fast and light chat view"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat
)

=== core/src/corelayers/adiumchat/chatfactories/webkitchat/CMakeLists.txt ===
FIND_PACKAGE( Qt4 COMPONENTS QtWebkit)

qutim_add_plugin(webkitchat
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/webkitviewfactory.h
	EXTENSION_CLASS Core::AdiumChat::WebkitViewFactory
	DISPLAY_NAME "Adium"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Default qutIM chat implementation, based on Adium chat styles"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat ${QT_QTWEBKIT_LIBRARY}
	INCLUDE_DIRS ${QT_QTWEBKIT_INCLUDE_DIR}	
)

=== core/src/corelayers/adiumchat/chatforms/stackedchatform/CMakeLists.txt ===
qutim_add_plugin(stackedchatform
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/stackedchatform.h
	EXTENSION_CLASS Core::AdiumChat::StackedChatForm
	DISPLAY_NAME "Mobile"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Stacked chatform for mobile devices"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat
)

=== core/src/corelayers/adiumchat/chatforms/tabbedchatform/CMakeLists.txt ===
qutim_add_plugin(tabbedchatform
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/tabbedchatform.h
	EXTENSION_CLASS Core::AdiumChat::TabbedChatForm
	DISPLAY_NAME "Classic"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Default qutIM chatform implementation for adiumchat"
	DEPENDS adiumchat
	LINK_LIBRARIES adiumchat
)

=== core/src/corelayers/simplecontactlist/widgets/torycontactlistwidget/CMakeLists.txt ===
qutim_add_plugin(torycontactlistwidget
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/torywidget.h
	EXTENSION_CLASS Core::SimpleContactList::ToryWidget
	DISPLAY_NAME "Tory Contactlist"
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DESCRIPTION "Tory contactlist"
	DEPENDS simplecontactlist
	LINK_LIBRARIES simplecontactlist
)

=== debian/changelog ===
qutim (0.2.80-maemo-3) fremantle; urgency=low

  * Get smiles working
  * Bugfixes 

 -- Eugene Degtyarev <degtep@gmail.com>  Sun,  3 Apr 2011 18:45:25 +0400

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DDBUSAPI=false -DKOPETEEMOTICONSBACKEND=false -DMACCONTACTLISTWIDGET=false -DQRCICONS=false -DSCRIPTAPI=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false -DSYMBIANCONTACTLISTWIDGET=false .
+	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DDBUSAPI=false -DMACCONTACTLISTWIDGET=false -DQRCICONS=false -DSCRIPTAPI=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false -DSYMBIANCONTACTLISTWIDGET=false .
 	touch configure-stamp

## qutim 0.2.80-maemo-4

=== plugins/histman/CMakeLists.txt ===
SET( QT_USE_QTXML TRUE )
SET( QT_USE_QTSQL TRUE )
qutim_add_plugin( histman
	DISPLAY_NAME "HistMan"
	DESCRIPTION "Plugin makes possible to import history to qutIM from different messengers,"
)

=== plugins/kde-integration/CMakeLists.txt ===
# qutIM KDE Integration

CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( KDEIntegration )

list( APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )

find_package(KDE4)
if(NOT KDE4_FOUND)
	message(STATUS "Cannot find KDE4, kde integration plugin will be skipped")
	return()
endif()

include( KDE4Defaults )

macro_ensure_version( "4.2.0" "${GENERIC_LIB_VERSION}" KDE_HAS_4_2 )
if( NOT KDE_HAS_4_2 )
	message(STATUS "Minimum kdelibs version is 4.2.0, but ${GENERIC_LIB_VERSION} found" )
	return()
endif( NOT KDE_HAS_4_2 )

set( QUTIM_PATH "" CACHE FILEPATH "Path to qutim sources" )
list( APPEND CMAKE_MODULE_PATH ${QUTIM_PATH}/cmake )
find_package( QutIM REQUIRED )

#qt4_add_dbus_adaptor( KDE4_PLUGIN_SRC
#	"${CMAKE_CURRENT_SOURCE_DIR}/src/dbusadaptors/org.kde.StatusNotifierItem.xml"
#	"${CMAKE_CURRENT_BINARY_DIR}/src/tray/kdetrayicondbus.h"
#	KdeTrayIconDBus
#	)
include_directories( ${QUTIM_INCLUDE_DIR} )
qutim_add_plugin( kdeintegration
	${KDE4_PLUGIN_SRC}
	DISPLAY_NAME "KDE integration"
	DESCRIPTION "Integration with K Desktop Environment"
	LINK_LIBRARIES ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS}
	)

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

include_directories( ${QT_QTGUI_INCLUDE_DIR}
		${QT_QTCORE_INCLUDE_DIR}
		${KDE4_INCLUDES}
	 )

=== plugins/logger/CMakeLists.txt ===
qutim_add_plugin( logger
	DISPLAY_NAME "Logger"
	DESCRIPTION "Simple file based logger for debug"
	LINK_LIBRARIES ${QT_QTDECLARATIVE_LIBRARY}
)

=== plugins/plugman/CMakeLists.txt ===
list( APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )

find_package( LibAttica )
if( NOT LIBATTICA_FOUND )
	message( "LibAttica is not found. Can't build package manager" )
	return()
endif()

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/quasar" )
file(GLOB QUASAR_INCLUDE_HEADERS RELATIVE "" "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/quasar/lib/*.h")
foreach(header ${QUASAR_INCLUDE_HEADERS})
	GET_FILENAME_COMPONENT(_basename ${header} NAME)
	if(NOT ${header} MATCHES ".*_p\\.h")
		if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/quasar/${_basename}")
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/quasar/${_basename}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/quasar/lib/${_basename}\"
	"
			)
		endif(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/quasar/${_basename}")
	LIST(APPEND JREEN_INSTALL_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/quasar/lib/${header}")
	endif(NOT ${header} MATCHES ".*_p\\.h")
endforeach(header)


include_directories( ${LIBATTICA_INCLUDE_DIR}
	"${CMAKE_CURRENT_BINARY_DIR}/include"
)
add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/quasar" )

qutim_add_plugin( package_manager
	DISPLAY_NAME "Package Manager"
	DESCRIPTION "Provides possibility to Get Hot New Stuff from open community"
	LINK_LIBRARIES ${LIBATTICA_LIBRARIES} quasar
)

=== plugins/qrcicons/CMakeLists.txt ===
qutim_add_plugin(qrcicons
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/qresourceiconloader.h
	EXTENSION_CLASS Embedded::ResourceIconLoader
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Resource Icon Loader"
	DESCRIPTION "Very simple icon loader from compiled resources for embedded devices"
)

=== protocols/irc/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( Irc )

SET( QT_USE_QTNETWORK TRUE )
qutim_add_plugin( irc
	DISPLAY_NAME "IRC protocol"
	DESCRIPTION "Implementation of IRC protocol"
	GROUP "Protocols"
)

=== core/src/corelayers/idlestatuschanger/CMakeLists.txt ===
qutim_add_plugin( idlestatuschanger
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/idlestatuschanger.h
	EXTENSION_CLASS Core::IdleStatusChanger
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "AutoAway"
	DESCRIPTION "Automatically changes status of accounts on inactivity"
)

=== core/src/corelayers/kineticpopups/CMakeLists.txt ===


qutim_add_plugin( kineticpopups
	SUBPLUGIN
	COMPILE_FLAGS "-DKINETICPOPUPS_LIBRARY"
	DISPLAY_NAME "Kinetic popups"
	DESCRIPTION "Modern popups, based on power of Qt Quick"
)

file( GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/popupwidgets/*" )

foreach( PLUGIN ${PLUGINS} )
	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
		string( TOUPPER ${PLUGIN} PLUGIN_NAME)
		option( ${PLUGIN_NAME} "" ON )
		if( ${PLUGIN_NAME} )
			message( "+ plugin '${PLUGIN_NAME}' added to build" )
			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" "${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN}" )
		else( ${PLUGIN_NAME} )
			message( "- plugin '${PLUGIN_NAME}' will be skipped" )
		endif( ${PLUGIN_NAME} )
	endif( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
endforeach( PLUGIN )

=== core/src/corelayers/trayicon/CMakeLists.txt ===
qutim_add_plugin( trayicon
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/simpletray.h
	EXTENSION_CLASS Core::SimpleTray
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Simple tray"
	DESCRIPTION "Default qutIM system tray icon implementation"
)

=== core/src/corelayers/xsettingsdialog/CMakeLists.txt ===
qutim_add_plugin( xsettingsdialog
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/xsettingslayerimpl.h
	EXTENSION_CLASS Core::XSettingsLayerImpl
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "X Settings dialog"
	DESCRIPTION "Default qutIM settings dialog implementation with OS X style top bar"
)

=== core/src/corelayers/simplecontactlist/widgets/CMakeLists.txt ===
file( GLOB PLUGINS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/*" )

foreach( PLUGIN ${PLUGINS} )
	if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
		string( TOUPPER ${PLUGIN} PLUGIN_NAME)
		option( ${PLUGIN_NAME} "" ON )
		if( ${PLUGIN_NAME} )
			message( "+ chatform '${PLUGIN_NAME}' added to build" )
			add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" "${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN}" )
		else( ${PLUGIN_NAME} )
			message( "- chatform '${PLUGIN_NAME}' will be skipped" )
		endif( ${PLUGIN_NAME} )
	endif( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN}/CMakeLists.txt" )
endforeach( PLUGIN )

=== debian/changelog ===
qutim (0.2.80-maemo-4) fremantle; urgency=low

  * Fix crashes
  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Thu,  7 Apr 2011 18:25:42 +0400

=== debian/control ===
Source: qutim
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),locales,cmake,mce-dev,libgconf2-6,libssl-dev,libxext-dev,libqt4-dev,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-dev,libqca2-plugin-ossl,pidgin-dev,libidn11-dev,libhunspell-dev
Standards-Version: 3.7.2

Package: qutim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libidn11,libqca-cyrus-sasl(>=2.0.0beta3-5),libqca2-plugin-ossl, hunspell-en-ru(>=0.1.2)
Description: qutIM - is powerful instant messenger
 qutIM is crossplatform multiprotocol instant messengrer with module-based architecture. Protocols' support can be provided by several plugins, some of them are our own implementations of protocols, and some of them uses 3rd party libraries and technologies. Every plugin may be disabled through graphic interface.
 Supported protocols: Oscar(ICQ), Jabber, IRC, Vkontakte, Mail.ru(MRIM) and all pidgin protocols
 Supported langugages: En, Ru, Bg, Cz
XSBC-Maemo-Display-Name: qutIM
XSBC-Bugtracker: https://launchpad.net/qutim
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAfdEVY
 dFNvZnR3YXJlAFBhaW50Lk5FVCA/Pz8/Pz8gMy41LjJ5rpbCAAANpklEQVRo
 Q81ZCVSUV5bunqV75sx2es70TDyTaHAhsheCEkTZohnHTjrdneh0ojFJaxKX
 uICIsgkIggRQFBTHSNAQ6diuqEFFlGKHAgEB2UG2EtmhFjbFb773s8Rj26mC
 EM/UOd/5i+K9d7+7vHvve/9PfvKcP729vT8jHFSq3mNqleobfv/Nc6bww8SR
 sJWqtzdKo1bVEPf5dyzxbz9s1ecwmyQt1arerwb61N1ajQo1ja0oq2uBWt0L
 /u/Yc6AwcREk9reELXFqsE8zSPK4S9IRCaVw8k/Fr0OzUdnYhn6tulV4ZuIS
 fqQZJPM3xHLG+Vlae3iQxAurlAg5V4xlQZmYt1sBh7BqLAiuRExKI/o0kheC
 fyQ6+i9LEj8lljEsbtDaWg3Do7jmPnxO3cbrezMg81FgUWgVXjusxNKj7XA+
 3Ip3omvQ0t4Nhlc1587QX9oUjqTgfxDEafFbDwc0EMTzypvhG18Ae79UzPfP
 x8LPK+EcpcSS6DYsOdoxguh2LN5/D/GZTRiil7jGpimkpXspCvw58R6J32Ac
 Q2zO1KJ6eH19m8TTYOWbD3uGivOhZrx2pFUivISWH4FQpA12EUqsPVGDji7J
 C+Vc7+91S/6BI0aJryLhHIbKoKq3B+nFDdhyPBeL/dJh4a2AHUNFEHc+/IDk
 2/AaLS89n4Jj1AM4hNfiSr4SjwYkL7z7A+n95elc/JfEhyxAd4YHteii1W4V
 1OOzYzmw8ZbD2k+EShWchMUFcca4sLwuLAhtwI7Tteju7mH4qeRTrgBJ/yvh
 wlApYjpEFwVdyq4m8Vws8Bohvpih4niwkXHeQjyQLC82qfORdjhFd8LhSAcc
 DnfA8UgnnKM7+Hvb6JgHcIxUwjGsEtkVDzCgVQ1S1ltTosQo8R19WnX1gFYQ
 78bFrCp8dChTIm7hk4dFYVVwPNQEp8j7cIq6L5G2j2qDbdg9LNpXjEXuF7Dc
 LRard5/ER/5x+N2uE3BwiYOdfxYWhtXB7qASTlTGJrQO/hdqpATASh0vMtqk
 leDk/yTctGpVw2OGSktbJy5mVuG9cG5MjxTM882TsoqwuOMhWk9YkJCIhDdh
 sU8y1gfH4/T5S2hoaMBAfx8G+7UYIgb5vYeGSM/IhO/BOLzhdwVWAcWwj2So
 hZehvKFNhJGG8i0mrAAnGfSqev0Y43UP+zW439qJuJtlWB3BjbnzFkPlNvN4
 JRwO1JN88wh5xruAEy0/P+AOVnrH4ebNZAw/HIA+n3vV5fCNjMerHklYEFqP
 zy/X4mG/tJnD9FaAg/+J+FSrVitFOmxp7cCX10rwzudyyEhcJkKFm9OexB0i
 muBA8g4HxXMEjgwf66ByrPGJQUP1XYn348eP8ejRI52QBj8aROSxkzB3u4G3
 DlehVtnB9kLVIyJBLyU4MIhW7xIWj71eiuUByZLFLXczVEIqYL+/DvYRjX8R
 tuENeN3rIoqLCiQ+Q0NDE4JQdnhAiy3BJ2DqU8j24t5YSvXVS4E+jTpfFKFD
 CUWYvfmqlFXsQsqxOLyOlbKeChAHGvh8Bg40YkHQXXiGxUjkBwcHJwW6DApF
 Liy2JeD9LyrQTGP2aVRlNO4vdCqhVqsS6DKcy6iBuVc2i1A1FoUzi5D4Ipb6
 74Mdx9gGFODrP/6JHIbR198/KfQPDKC3pxuL1kdBFlCGy4omDPSpxF74VKcC
 HPQ2ta0UWq+OLsa8wAqmRxJnmtMFOyo6f3cOYr/6ekSBvr5JYYCKd3W0Y+G6
 CFgFVeHj4yXo6ekBa08K+f3L9yohBhCBopR/kVwDmV8hFobWME/X6gbbAAuP
 dGzyjcTw0AA0Gg0PKeoJY2hoENeuJ8FyEzPSviq8GlgEeXGzCCPhhWX6eOEF
 ZqCumqY2vBl2G1aBZcz11XpBNG2Wa0JxLTFR5B+JvEql0hti33S1t2LlJj+Y
 ul6H7b5KWO4pxdaTJaIyCwUS9CpsHBQqcnDQ+TLIfAthG1KlF2z2lsBw/Rks
 fncn0lJT8Hj4ITSs3CIEvg+9VFKk2lZlI7Z67YPBynBY+eRKMq33lsMx6DZy
 ypWiLjwkt/n6eMGSVbDv7r1WLA5QYMHeMrqzUgeqmIVoMa9MGKyKhuyNDYg4
 fAwN9bVMpYOSN7pZeUUbIp5SXPO3AWnTdiHx2yt4e507XnzDG+auibAJvDMu
 z8S7EEEXytHPMOJe+FqnAmIA+5A4LfsRzz+WwNy7ADbBFUT5MzGfxG388rDU
 +wqc3c/CbEM8pv02FC84rIf9is/g7rMXFxMuQdnUJPobaZPW1tZCniLHgYNR
 eHutG+a8vh7T3vSH6ZYLsPZVwCaobFzWPIbR0uA8VNS3MpTUSnrBVKcSHPQr
 nmH7Mu82051ZsA4spYXL/gzWQRVY4JOO46evQt3dDk1PJy4lJuO/Nh3ASyvC
 MW25N37huBl2v1uPpoY6dLa3YIPLLrxk81u87LQWL77ugmm/8sbM94/C3OVb
 WPGcvGCvkHV3XJYNvxt7KhB9vUryArkF6FRADGAYpQmXb44pxFyPvJGFn4I5
 94hrZCKG+7px6koavjybhO7ODlRXV2PJxgjM/sMJvMyY/vzgUXqgHhtcffAf
 Thth8Pv9mPN+NF75+Cta/RIsPdJg7X8b8wNLninH0r8Iy0NycZ8NJbuFWirx
 sk4lOOiD4UENLmTXSrFt6X8H1gEl47AKKJXcnZSSgYKiEpitPYYXP4jDxn3x
 6FMxrm9lwfDDGDh/5I/9+/dj2ZodeGGZO0mfgvn265CRtCU3q7VfAaz3FI+u
 O/b8Ts6IzGKYeeYgLqUa4naD3D7RR4Gf0QvlHV1dWHkgByaeeRREJUYxb08J
 HLyuofV+E768IMfLH56AyQ45jFxvIf5KBrrblHjH8yRmrT4Mw3fDMX3lAczd
 cBqWnhmw8i9k+ywMIggTQoFxfCfjSXnGnvn4/UGFlAjEaZBK/FwfJdYPsaWO
 vVEB050ZmOdXhHl0p4DMvxiveZxHN+N6X+w1zPhDPMzckmHuW4R3fM/gobYH
 wTFX8NKqL2C4Lk4KFZkn74NYIK3oTavRdcbW0/W0YLjKPDIYEXUQR1kq8D/E
 X+uqzjOobbXoUJcGpMGMB/V5dLkgIfO7A+dd59HT0YrQk1TgQ8bz9hvShrN2
 T4SyuRFxCamY/t4RGG+5DAuvLGne2PyR7xPD7B1Z2HQ8H91Mw2KPUgFLfbwQ
 Ipq8qMulmOOaCkvf2xJkvgWw5QGkvq4W56+nYxbj3WjzJbzlcwaObt+guKSE
 oZSG6auOwtg1ibcUuZxXSBSMrzG2lr5Pc55JLD3kSCtuZJNH06p69+ujgAUH
 t4j7TPvdcph45EK2Ox8WhNmuTJw4l4TerjYs3RYDs4+PozBfgdzCUtyrrUJY
 7EgImYwqINtNxTlvUvChTGL6Fjkir5RJ/RHb/zSdCogBvGyKE/2IX3whDLal
 0Jp5EubuzMWKgEvQdLfhakoObNeGY3twjHAvHvWr8NHuLzBtVSxMXK6yRc8Z
 nzc2X9+nMY32yq5c1olcuMWVomL0zEwPROmlAGNtEc/HDzNKGjHf4yaMdmWz
 QitgKpRwvYmQWDZwj7R4cF8JuTxVUkB84i8kwXh1BAw3JsBsZxrn5E4AChiR
 +Ew33lz4k/ipu8iregBeMgjLi2uXEOJFfRX4K2p7TVTCT49kcS/IYc68LGDi
 lQez7UlwOXQZ36bkIiXrNo6fTcbFpAwMazvohRjMWHcaJm4p43PG5j7rKfK9
 KTFrR6ZE3PdMOXIrWqT83zdyX3SO+G+9iD85SEwSd/tJ+XUwdkmC6a4sFpds
 CaZeCsziBjfanACLrRdh8Mk5yLaexweBZ2HnfoleSmYaZhYbHf+sp6lHNgzd
 M2FI4q/65SD4QgXu1Ir+R8WrGKkTPUMsJv5uwuTFBE78Z3HzLDrJFaFyGNIL
 ph5ZkiISSEDEqtEuesUjB0Y7szGbShmzfphys4/gifFPfJ/jloGZLmlw2puD
 wPPlfOHRLm3SQa26m7lGELeZFOmnJ3GhTewIcTatCjM/uwqTcWKC5JMYIfzd
 /8cUGBvD/1Exox0ZTAqpWBqUg/2XK6XNKc4i3ENayjpG2E4J8bFFuOAveWKr
 aGrpwJt7b8Fgy00Yu2dMCHNJepZrmlRTnPZkSV1mdVO7dIXCtcVt3P8SZjqr
 7GQ148J7RCmPvFyEGRsTacU0KpCuE0YcY7BNjlkuKVi+LxuHr1ZK1ybiEo03
 Dy3ilSvXNpwsL73nidRFoT2VDbzT976OmVuFF4QSz4ZQcM52OWayfvwmLAfH
 b1Sh+UEnQ4UHf5WqmdeYQVzzFb0JTMVACox8xNdIPnG5MNh4FUZuzEBPwZAh
 YrA1BYa0+Bsh2fgmvY7Eu9iIacQGbeYaHsT0qeAz4TUoWMZiMlBcrYTptsvM
 SLcw100u4RVa+6XPkqXfVrAN/ya9Fp1dPVI6ZB4XhxEvsZcmLHSqJzBm48Q9
 /rZjmZixIZG5PkXa1HO23cSaSAXOZPAIyd5dZBW2IqUk7Ub8+1TzmPR6JPNr
 vqkZSL9TjzmbEjB7axLWRClwNb9Belkn3ikwHVbwevmT/1fEn0ipP+UmTBO9
 +Z9SK5CouCcOGaLkDzG8Cvl9HfGPk7bQ85hIggt5VVIqihtfQYl7m1v87QPi
 x39NOlUKkuw0YolQhvj+C9ipEvrUOv8HhO7WofzYHNEAAAAASUVORK5CYII=
 ====

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DDBUSAPI=false -DMACCONTACTLISTWIDGET=false -DQRCICONS=false -DSCRIPTAPI=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false -DSYMBIANCONTACTLISTWIDGET=false .
+	cmake -DCMAKE_INSTALL_PREFIX="/opt/qutim" -DWIN-INTEGRATION=false -DAESCRYPTO=false -DWEATHER=false -DSDLSOUND=false -DANTIBOSS=false -DKDE-INTEGRATION=false -DMAC-INTEGRATION=false -DASPELLER=false -DAWN=false -DANTISPAM=false -DLOGGER=false -DNOWPLAYING=false -DINDICATOR=false -DASTRAL=false -DCONTACTINFO=false -DSEARCHDIALOG=false -DPLISTCONFIG=false -DMULTIMEDIABACKEND=false -DQSOUNDBACKEND=false -DSOFTKEYSACTIONBOX=false -DTRAYICON=false -DMIGRATION02X03=false -DKINETICPOPUPS=false -DXSETTINGSDIALOG=false -DWITH_DOXYGEN=false -DTABBEDCHATFORM=false -DSYMBIANCHATFORM=false -DHISTMAN=false -DKINETICSCROLLER=false -DFLOATIES=false -DDBUSAPI=false -DMACCONTACTLISTWIDGET=false -DQRCICONS=false -DSCRIPTAPI=false -DSIMPLEABOUT=false -DTORYCONTACTLISTWIDGET=false -DFLOATIES=false -DMACCONTACTLISTWIDGET=false -DSIMPLEABOUT=false -DSYMBIANCONTACTLISTWIDGET=false -DPLUGMAN=false .
 	touch configure-stamp

## qutim 0.2.80-maemo-5

=== core/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6 FATAL_ERROR)
IF (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)
ENDIF (COMMAND cmake_policy)
PROJECT( qutim )
SET(QT_MIN_VERSION "4.6.0")

ADD_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

if( UNIX )
	if( BSD )
		SET( CMAKE_THREAD_LIBS -pthread )
		SET( CMAKE_USE_PTHREADS ON )
		SET( CMAKE_EXE_LINKER_FLAGS -pthread )
	endif( BSD )
endif( UNIX )

SET (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
SET (QT_USE_QTNETWORK true)
SET (QT_USE_QTXML true)
SET (QT_USE_QTSCRIPT true)

SET (QUTIM_PLUGINS_DEST "lib/qutim/")
FIND_PACKAGE (Qt4 REQUIRED)

INCLUDE(CPackOptions.cmake.in)
INCLUDE(UseQt4)
INCLUDE(MacroEnsureVersion)
INCLUDE(QutIMMacros)

#simple hack for include dirs
macro(LIST_SUBDIRECTORIES retval curdir)
	file(GLOB sub-dir RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${curdir}/*)
	set(list_of_dirs "")
	foreach(dir ${sub-dir})
		#TODO fix IS DIRECTORY macro
		if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir})
			message(STATUS "Found 3rdparty dir: ${CMAKE_CURRENT_SOURCE_DIR}/${curdir}/${dir}")
		endif()
	endforeach()
	set(${retval} ${sub-dir})
endmacro()

LIST_SUBDIRECTORIES(3RDPARTY_INCLUDE_DIRS "3rdparty")

#Include X11, spike for freebsd
FIND_PACKAGE(X11)

INCLUDE_DIRECTORIES (.
	..
	../3rdparty
	src
	${CMAKE_CURRENT_BINARY_DIR}
	include
	${QT_QTGUI_INCLUDE_DIR}
	${QT_QTCORE_INCLUDE_DIR}
	${QT_QTXML_INCLUDE_DIR}	
	${3RDPARTY_INCLUDE_DIRS}
	${X11_INCLUDE_DIR}		
	)

if( WIN32 )
	list(APPEND QUTIM_LIBS secur32 )
endif( WIN32 )

file( GLOB HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h" )
file( GLOB SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp" )
file( GLOB SOURCES_MM RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.mm" )
list( APPEND SOURCE SOURCE_MM} )
file( GLOB FORMS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui" )
list( APPEND SOURCES "main.cpp" )

SET (RESOURCES
	qutim.qrc
	)

#TODO fix in future
if (MINGW)
	find_program( MINGW_WINDRES NAMES "mingw32-windres" "windres" )
	execute_process( COMMAND "${MINGW_WINDRES}"
		"-i" "${CMAKE_CURRENT_SOURCE_DIR}/qutim.rc" "-o" "${CMAKE_CURRENT_BINARY_DIR}/qutim_res.o" )
	LIST (APPEND SOURCES qutim_res.o)
else(MINGW)
	LIST (APPEND SOURCES qutim.rc)
endif(MINGW)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/libqutim/" "${CMAKE_CURRENT_BINARY_DIR}/libqutim")

find_package( QutIM REQUIRED )
include_directories( ${QUTIM_INCLUDE_DIR} )

REMOVE_DEFINITIONS ( -DLIBQUTIM_LIBRARY )

set( QUTIM_PATH ${CMAKE_CURRENT_SOURCE_DIR} CACHE FILEPATH "Path to qutim sources")
set( QUTIM_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR} CACHE FILEPATH "Path to qutim build directory")
option( QUTIM_COPY_PLUGINS_TO_BINARY_DIR "Copy plugins to qutim build directory" OFF )
set( QUTIM_LIBRARIES libqutim )

# For Apple set the icns file containing icons
IF(APPLE)
  # set how it shows up in the Info.plist file
  SET(MACOSX_BUNDLE_ICON_FILE qutim.icns)
  SET(MACOSX_BUNDLE_INFO_STRING "Module based instant messenger")
  SET(MACOSX_BUNDLE_LONG_VERSION_STRING "0.3 beta (0.2.80)")
  SET(MACOSX_BUNDLE_BUNDLE_NAME "qutIM")
  SET(MACOSX_BUNDLE_BUNDLE_VERSION "0.3 beta")
  # set where in the bundle to put the icns file
  SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  # include the icns file in the target
  SET(SOURCES ${SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/qutim.icns)

  GET_FILENAME_COMPONENT(qt_lib_path "${QT_QTGUI_LIBRARY_RELEASE}" PATH)
  set (qt_menu_nib "${qt_lib_path}/Resources/qt_menu.nib")
  set(qt_menu_nib_sources "${qt_menu_nib}/classes.nib" "${qt_menu_nib}/info.nib" "${qt_menu_nib}/keyedobjects.nib" )
  SET_SOURCE_FILES_PROPERTIES(${qt_menu_nib_sources} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/qt_menu.nib)
  SET(SOURCES ${SOURCES} ${qt_menu_nib_sources})
ENDIF(APPLE)

IF (APPLE)
	IF (${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
		set (QUTIM_BUNDLE_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/qutim.app")
		add_custom_target(qutim-bundle ALL)
		add_dependencies(qutim-bundle qutim translations)
	ELSE(${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
		message (WARNING "You have to use Unix Makefiles generator to automatically bundle deploying")
		set (QUTIM_BUNDLE_LOCATION "")
	ENDIF(${CMAKE_GENERATOR} MATCHES "Unix Makefiles")
ENDIF(APPLE)

#additional resources path
set (QUTIM_ADDITIONAL_RESOURCES_PATH "" CACHE PATH "Path to additional resources")

set( QUTIM_ADDITIONAL_SOURCES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_LIBRARIES "" CACHE INTERNAL "" FORCE )
set( QUTIM_ADDITIONAL_RCC ${QUTIM_ADDITIONAL_RESOURCES_PATH} CACHE INTERNAL "" FORCE )
add_subdirectory(src/corelayers)
foreach( additional_path ${QUTIM_ADDITIONAL_PATHS} )
    add_subdirectory( "${CMAKE_CURRENT_SOURCE_DIR}/../${additional_path}/" "${CMAKE_CURRENT_BINARY_DIR}/../${additional_path}" )
endforeach( additional_path ${QUTIM_ADDITIONAL_PATHS} )

message(STATUS ${QUTIM_ADDITIONAL_RCC})
list(APPEND RESOURCES ${QUTIM_ADDITIONAL_RCC})

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCC ${RESOURCES})

#QUTIM_ADD_OPTION(QUTIM_MOBILE_UI
#	"User interface for mobile devices like Nokia 5800"
#	"qutIM will be compiled with mobile ui"
#	OFF
#)

QUTIM_ADD_OPTION(QUTIM_SINGLE_PROFILE
	"Single profil by default" 
	"qutIM will be compiled without multiply profiles by default"
	ON
)
IF (APPLE)
	set (DEFAULT_QUTIM_GUI_TYPE "MACOSX_BUNDLE")
	IF (NOT CMAKE_BUILD_TYPE)
		set (CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE)
	ENDIF(NOT CMAKE_BUILD_TYPE)
ELSE (APPLE)
	set (DEFAULT_QUTIM_GUI_TYPE "")
ENDIF (APPLE)
SET( QUTIM_GUI_TYPE ${DEFAULT_QUTIM_GUI_TYPE} CACHE STRING "qutIM GUI TYPE" )
IF( QUTIM_GUI_TYPE )
	MESSAGE(STATUS "qutIM will be compiled with ${QUTIM_GUI_TYPE} GUI type")
ENDIF()

QUTIM_ADD_EXECUTABLE (qutim
	${QUTIM_GUI_TYPE}
	${SOURCES}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCC}
	${QUTIM_ADDITIONAL_SOURCES}
	)

if(MSVC)
	set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} /W3")
	set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} /W3")
else()
	if(SYMBIAN)
		#disable stupid warnings
		set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -w")
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -w")
	else()
		set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -Wall -Wextra")
		set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -Wall -Wextra")
		if(NOT WIN32)
			set(LIBQUTIM_COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS} -fvisibility=hidden")
		endif(NOT WIN32)
	endif()
endif()

set(QUTIM_COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS} -DQUTIM_CORE -DXDG_STATIC")
set_target_properties(qutim PROPERTIES COMPILE_FLAGS "${QUTIM_COMPILE_FLAGS}")
set_target_properties(libqutim PROPERTIES COMPILE_FLAGS "${LIBQUTIM_COMPILE_FLAGS}")

qutim_target_link_libraries (qutim
	${QT_LIBRARIES}
	${QT_QTMAIN_LIBRARY}
	${QUTIM_LIBS}
	${QUTIM_ADDITIONAL_LIBRARIES}
	libqutim
	)

IF (APPLE AND QUTIM_BUNDLE_LOCATION)

	add_custom_command(TARGET qutim-bundle POST_BUILD
		COMMAND ${CMAKE_COMMAND}
			ARGS -E copy
			${QT_PLUGINS_DIR}/bearer/libqcorewlanbearer.dylib
			${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/bearer/libqcorewlanbearer.dylib
		COMMAND ${CMAKE_COMMAND}
			ARGS -E copy
			${QT_PLUGINS_DIR}/bearer/libqgenericbearer.dylib
			${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/bearer/libqgenericbearer.dylib
		COMMAND ${CMAKE_COMMAND}
			ARGS -E copy
			${QT_PLUGINS_DIR}/iconengines/libqsvgicon.dylib
			${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/iconengines/libqsvgicon.dylib
		COMMAND ${CMAKE_COMMAND}
			ARGS -E copy
			${QT_PLUGINS_DIR}/imageformats/libqgif.dylib 
			${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/imageformats/libqgif.dylib 
		COMMAND ${CMAKE_COMMAND}
			ARGS -E copy
			${QT_PLUGINS_DIR}/imageformats/libqsvg.dylib
			${QUTIM_BUNDLE_LOCATION}/Contents/PlugIns/imageformats/libqsvg.dylib
		COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/utils/deployqutim.sh
			${QUTIM_BUNDLE_LOCATION}
		)

ENDIF (APPLE AND QUTIM_BUNDLE_LOCATION)

if( LANGUAGE )
	LANGUAGE_UPDATE( core ${LANGUAGE} "${CMAKE_CURRENT_SOURCE_DIR}" )
endif( LANGUAGE )

FILE(GLOB CMAKE_MODULES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/*.cmake")

FILE (GLOB DEV_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*.h")
FILE (GLOB DEV_HEADERS_EXCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/libqutim/*_p.h")
LIST(REMOVE_ITEM DEV_HEADERS ${DEV_HEADERS_EXCLUDE})

INSTALL(FILES ${CMAKE_MODULES}
	DESTINATION share/cmake/Modules
		COMPONENT CoreDevel
)
INSTALL(TARGETS qutim
	RUNTIME DESTINATION bin
		COMPONENT Core
	BUNDLE DESTINATION .
		COMPONENT Core
)

QUTIM_ADD_ARTWORK_DIR(share/qutim)

IF(NOT WIN32)
	INSTALL(DIRECTORY share/applications share/icons share/pixmaps
		DESTINATION /usr/share
			COMPONENT Core
	)
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#additional artwork sources
SET(QUTIM_ADDITIONAL_ART_PATH "" CACHE PATH "Path to additional artwork")
IF(NOT QUTIM_ADDITIONAL_ART_PATH STREQUAL "")
	QUTIM_ADD_ARTWORK_DIR(${QUTIM_ADDITIONAL_ART_PATH})
ENDIF()

CPACK_ADD_COMPONENT(Core
	DISPLAY_NAME "Core"
	DESCRIPTION "TODO"
)
CPACK_ADD_COMPONENT(CoreDevel
	DISPLAY_NAME "Core Devel"
	DESCRIPTION "Common devel files"
)

#small simple hack for install Qt dlls and plugins
IF(WIN32)
	SET(QUTIM_REQUIRED_DLL_DIR "" CACHE PATH "Path to Qt dll's and plugins. Note: you must add them yourself")
	FILE(GLOB dlls ${QUTIM_REQUIRED_DLL_DIR}/*)
	FOREACH(QUTIM_DLL ${dlls})
		IF(IS_DIRECTORY ${QUTIM_DLL})
			INSTALL(DIRECTORY ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ELSEIF(${QUTIM_DLL} MATCHES ".\\.dll")
			INSTALL(FILES ${QUTIM_DLL}
				DESTINATION bin
					COMPONENT Qt
			)
		ENDIF()
	ENDFOREACH()
	LIST(APPEND CPACK_COMPONENTS_ALL Qt)
	CPACK_ADD_COMPONENT(Qt
		DISPLAY_NAME "Qt Libraries"
		DESCRIPTION ""
	)
ENDIF(WIN32)

=== debian/changelog ===
qutim (0.2.80-maemo-5) fremantle; urgency=low

  * Add LoadingWindow
  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Sat,  9 Apr 2011 11:24:22 +0400
